Mailinglist Archive: opensuse-updates (200 mails)

< Previous Next >
openSUSE-SU-2013:1028-1: moderate: update for libXrandr
openSUSE Security Update: update for libXrandr
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1028-1
Rating: moderate
References: #815451 #821663
Cross-References: CVE-2013-1986
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that solves one vulnerability and has one errata
is now available.

Description:

This update of libXrandr fixes several integer overflow
issues.
-
U_0001-integer-overflow-in-XRRQueryOutputProperty-CVE-2013-.
patch,
U_0003-integer-overflow-in-XRRGetOutputProperty-CVE-2013-19.
patch,
* integer overflow in XRRQueryOutputProperty(),
XRRGetProviderProperty() [CVE-2013-1986] (bnc#821663,
bnc#815451)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-505

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-505

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libXrandr-debugsource-1.4.0-2.4.1
libXrandr-devel-1.4.0-2.4.1
libXrandr2-1.4.0-2.4.1
libXrandr2-debuginfo-1.4.0-2.4.1

- openSUSE 12.3 (x86_64):

libXrandr-devel-32bit-1.4.0-2.4.1
libXrandr2-32bit-1.4.0-2.4.1
libXrandr2-debuginfo-32bit-1.4.0-2.4.1

- openSUSE 12.2 (i586 x86_64):

libXrandr-debugsource-1.3.2-2.4.1
libXrandr-devel-1.3.2-2.4.1
libXrandr2-1.3.2-2.4.1
libXrandr2-debuginfo-1.3.2-2.4.1

- openSUSE 12.2 (x86_64):

libXrandr-devel-32bit-1.3.2-2.4.1
libXrandr2-32bit-1.3.2-2.4.1
libXrandr2-debuginfo-32bit-1.3.2-2.4.1


References:

http://support.novell.com/security/cve/CVE-2013-1986.html
https://bugzilla.novell.com/815451
https://bugzilla.novell.com/821663


< Previous Next >
This Thread
  • No further messages